Skip to main content

Get Location Asset Resources

API Description

Get information about one or more location asset resources.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED

Query Parameters

-Not available-

Path Template
GET {url}/api/{version}/orgs/{orgId}/locations/{locationId}/assets
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654901/assets

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 22837417-068c-4ec2-9a63-e64eab30159e
content-type: application/json

Response Body

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]locationId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]assetDetails
REQUIRED
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654901",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-01T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "6dcf26de-ddd3-11ec-9ee0-ff92bc6c8483",
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
}
},
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654928",
"updatedDate": "2026-10-11T17:22:19.00Z",
"updatedDate": "2026-10-11T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "320546f0-ddd4-11ec-9d85-774ca3af5c9c",
"assetDetails": {
"partnersAssetId": "48484848",
"dateAdded": "2026-09-02T12:45:34.00Z",
"capturedBy": "Ellen D.",
"intent": "COVER_PHOTO",
"captions": [
{
"title": "Interior View",
"altText": "Lounge chairs and tables and an area for persons to work on their laptops",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199031",
"latitude": "30.2210520"
},
"classifications": [
"interior"
],
"source": "USER",
"imageId": "55084212-0980-11f0-9cd2-0242ac120002"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654934/locations/9467895078742654976/assets?limit=2&after=8U54a61d9b495324"
},
"total": 2
}